Package org.codehaus.groovy.runtime

# Class PackedClosure.Fixed2

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Closure<Object>
org.codehaus.groovy.runtime.PackedClosure
org.codehaus.groovy.runtime.PackedClosure.Fixed2

All Implemented Interfaces:
  `GroovyCallable<Object>`, `GroovyObject`, `Serializable`, `Cloneable`, `Runnable`, `Callable<Object>`, `GeneratedClosure`

Enclosing class:
  PackedClosure

public static final class PackedClosure.Fixed2 extends PackedClosure implements GeneratedClosure

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.PackedClosure

  `PackedClosure.Fixed0, PackedClosure.Fixed1, PackedClosure.Fixed2, PackedClosure.Fixed3, PackedClosure.Fixed4, PackedClosure.FixedIt, PackedClosure.FixedN`

- ## Field Summary

  ### Fields inherited from class groovy.lang.Closure

  `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Fixed2(Object owner, GeneratedDispatcher.Bundle dispatchers, int id, String method, Object[] captured, Class[] visibleTypes, boolean strict)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `doCall(Object a, Object b)`

  ### Methods inherited from class org.codehaus.groovy.runtime.PackedClosure

  `call, call, create, dispatchAll, setDelegate, setResolveStrategy, toString`

  ### Methods inherited from class groovy.lang.Closure

  `additionalReferences, andThen, andThenSelf, andThenSelf, asWritable, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDirective, setMetaClass, setProperty, throwRuntimeException, trampoline, trampoline`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

- ## Constructor Details

  - ### Fixed2

    public Fixed2(Object owner, GeneratedDispatcher.Bundle dispatchers, int id, String method, Object[] captured, Class[] visibleTypes, boolean strict)

- ## Method Details

  - ### doCall

    public Object doCall(Object a, Object b)